### Method

# Gio InetSocketAddress get_scope_id

since: 2.32

#### Declaration

    guint32
    g_inet_socket_address_get_scope_id (
      GInetSocketAddress* address
    )

#### Description

Gets the `sin6_scope_id` field from `address`, which must be an IPv6 address.

Available since: 2.32

Gets property | `Gio.InetSocketAddress:scope-id`

#### Return value

Type: `guint32`

The scope id field.